---
title: "Create Channel"
slug: "create-channel"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/create-channel"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Create Channel
Post/api/v1/channels.create
Create a public channel. Optionally, include specified users. The channel creator is included as a member by default. Permission required: `create-c`. Channel naming has restraints following the regex filter `[0-9a-zA-Z-_.]+` by default. See [UTF8 Settings](https://docs.rocket.chat/docs/general#utf8) to modify regex filter for channel names. Channel names must not allow for any whitespaces.
### Changelog
| Version | Description |
| --- | --- |
| 6.4.1 | Added `excludeSelf` param |
| 0.13.0 | Added |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"name": "channelname",
"members": [
"rocket.cat"
],
"readOnly": true,
"excludeSelf": true,
"customFields": {
"type": "default"
},
"extraData": {
"broadcast": true,
"encrypted": false,
"teamId": "658441562dd9f928ad9951aa"
}
}
```
Expand Allobject namestring Required
The name of the channel.
members Array of string
An array of the users to be added to the channel when it is created.
string
readOnlyboolean
Set if the channel is read only or not. It is `false` by default.
excludeSelfboolean
If set to true, the user calling the endpoint is not automatically added as a member of the channel. The default `value` is false.
customFieldsobject
If you have defined custom fields for your workspace, you can provide them in this object parameter. For details, see the [Custom Fields](https://docs.rocket.chat/docs/custom-fields) document.
extraDataobject
Additional channel settings applied at creation. For more information, see [Channels](https://docs.rocket.chat/use-rocket.chat/user-guides/rooms/channels#channel-privacy-and-encryption).
broadcastboolean
Whether the channel should be a broadcast room.
encryptedboolean
Whether the channel should be encrypted.
teamIdstring
An existing team ID to associate with this channel. Requires the `create-team-channel` permission.
topicstring
The topic of the channel.
federatedboolean
Whether the channel should be federated (Matrix federation).
Responses200
OK
Example
```json
{
"channel": {
"_id": "ByehQjC44FwMeiLbX",
"name": "channelname",
"t": "c",
"usernames": [
"example"
],
"msgs": 0,
"u": {
"_id": "aobEdbYhXfu5hkeqG",
"username": "example"
},
"ts": "2016-05-30T13:42:25.304Z"
},
"success": true
}
```
Expand Allobject channelobject _idstring
fnamestring
_updatedAtstring
customFieldsobject
namestring
tstring
msgsinteger
usersCountinteger
uobject _idstring
usernamestring
namestring
tsstring
roboolean
defaultboolean
sysMesboolean
successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring